package types

import "p78git.ddns.net/svi/libtui/alias"

// IWidget -- базовый виджет для отображения
type IWidget interface {
	// Resize -- изменяет размер виджета
	Resize(alias.SizeX, alias.SizeY)
	// Pos -- возвращает позицию виджета
	Pos() (alias.PosX, alias.PosY)
	// SetPos -- устаналвивает позицию виджета на экране
	SetPos(alias.PosX, alias.PosY)
}
